Describe/Modify Cpu

   This dialog permits you to modify information for a Maestro cpu.  Some
   fields are read-only. 

   FIELDS:

   The type of cpu (read-only)

    Master      The master cpu in a Maestro network.  Its Symphony file
                contains the status of all jobs and schedules on all
                cpus in the network. It executes its own schedules, as well
                as those for remote cpus. For remotes, it issues job launch 
                requests as needed. 

    Manager     A manager cpu in a Maestro domain.  Its Symphony file
                contains the status of all jobs and schedules on all
                cpus in its domain. The master cpu is also the manager of
                its domain. 

    Backup      A fault-tolerant cpu with FULLSTATUS ON and RESOLVEDEP ON 
                in its cpu definition. This keeps its Symphony file
                consistent (mirrored) with that of the domain manager cpu.
                This cpu is capable of taking over the manager role if the
                manager is down. 

    Fullstatus  A fault-tolerant cpu with FULLSTATUS ON in its cpu definition.
                This keeps its Symphony file consistent (mirrored) with that of
                the manager cpu.  However, the status of dependencies for jobs
                and schedules on other cpus is not maintained. 

    FTA         A fault-tolerant cpu with FULLSTATUS OFF and RESOLVEDEP OFF in
                its cpu definition. Its Symphony file contains only the status
                of its jobs and schedules. 

    SAgent      This cpu will only act upon requests from the master.

    XAgent      This cpu will only act upon requests from the host.

  The name Maestro uses for this cpu (read-only)

           The Maestro name for the cpu.  Although it need not be, it is
           often the same of the host name.  

  Maestro should ignore JobAbend Events: 

           If True, job ABEND events are ignored when determining the
           logical status of this cpu.  

  Maestro should ignore JobUntil Events: 

           If True, job UNTIL time events are ignored when determining the
           logical status of this cpu.  

  Maestro should ignore SchedAbend Events: 

           If True, schedule ABEND events are ignored when determining the 
           logical status of this cpu. 

  Maestro should ignore SchedStuck Events: 

           If True, schedule STUCK events are ignored when determining the 
           logical status of this cpu. 

  Maestro should ignore SchedUntil Events: 

           If True, schedule UNTIL time events are ignored when determining
           the logical status of this cpu. 

  The Maestro count of the number of ... :  (read-only)

           The counts of JobAbend, JobUntil, SchedAbend, SchedStuck, and
           SchedUntil events for this cpu. 

STATUS:

   The logical status of a Maestro cpu symbol is based on the above ignore 
   switches. Assuming nothing is ignored, the status indications are:

    Critical (Red)    The cpu has abended, or there are stuck or suspended
                      schedules. These will also be seen as events. Conman
                      should be run to correct these problems; then use 
                      Tools->Maestro->Acknowledge to return the symbol to
                      the Normal state.

    Marginal (Yellow) The cpu has failed, or there are abended or suspended
                      jobs. These will also be seen as events. Conman should
                      be run to determine whether or not these require action;
                      then use Tools->Maestro->Acknowledge to return the
                      symbol to the Normal state.

    Normal (Green)    The cpu has no unacknowledged problems.

    Unknown (Blue)    The cpu has no unacknowledged problems. However, its 
                      actual status is unknown because it has not linked
                      back to the Maestro master cpu. 
