/*

    @(#)$Header: /usr/local/SRC_CLEAR/maestro/JSS/maestro/Netview/RCS/Mae.aix.app,v 1.36 1996/08/07 22:28:29 pl viola_thunder $

    This file contains the openview registration for handling the
    maestro product.
*/

Application "Maestro - Unison Software, Inc.(c)"
{

    Description {
	"This application does task control and scheduling",
	"",
	"It is a license product"
    }
    Version "4.4";
    Copyright { 
    	"(C) COPYRIGHT Unison Software, Inc. 1996",
    	"All Rights Reserved",
    	"Licensed Material - Property of Unison Software, Inc."
    }

    HelpDirectory "UTMaestro";

    Command -Shared -Initial "${OVMUSER:=/usr/lib/maestro/bin/muser} -display $DISPLAY";


    Menubar "Tools" {
    	"Maestro"   	_M  f.menu "maestro";
    	}

    ObjectMenu {
    	"Maestro"   	_M  f.menu "maestro";
        }

    Menu "maestro" {
    	"View"	    		_V  f.action "view";
    	"Master conman"		_M  f.action "master";
/*    	"Log"   		_L  f.action "log"; */
        "Acknowledge"		_A  f.action "ack";
    	"Conman"		_C  f.action "conman";
    	"Start"	    		_S  f.action "start";
    	"Down (stop)"  		_D  f.action "stop";
    	"start Up"		_U  f.action "startup";
    	"Re-discover"		_R  f.action "discovery";
	"Remove Network"        _N  f.action "remove";
    	}

    /* These are internal actions and should not be modified */
    Action "discovery" { }  
    Action "remove" {
    	SelectionRule isUTMaestroNetObject;
    	MinSelected 1;
    }
    Action "view" { 
    	SelectionRule isUTMaestroCpuObject;
    	MinSelected 1;
    }
    Action "master" { }
    Action "ack" {
    	SelectionRule isUTMaestroCpuObject || isUTMaestroProcObject
		|| isUTMaestroLinkObject;
	MinSelected 1;
    }

    /* These are external actions.  The actual command executed is
       UTMaestroCmd_<action>, after it has been parse and reformated
       it will be executed for each selected object.
    */
    Action "start" {
    	SelectionRule isUTMaestroCpuObject;
	MinSelected 1;
    }
    Action "startup" {
    	SelectionRule isUTMaestroAgent || isUTMaestroProcObject 
    	    	|| isUTMaestroCpuObject || isUTMaestroNodeObject;
    	MinSelected 1;
   	}            
    Action "startagent" {
    	SelectionRule isUTMaestroAgent || isUTMaestroProcObject 
    	    	|| isUTMaestroCpuObject || isUTMaestroNodeObject;
    	MinSelected 1;
   	}            
    Action "stop" {
    	SelectionRule isUTMaestroCpuObject;
	MinSelected 1;
    }
/*
    Action "log" {
    	SelectionRule isUTMaestroCpuObject || isUTMaestroProcObject;
	MinSelected 1;
    }
*/
    Action "conman" { 
    	SelectionRule isUTMaestroCpuObject;
	MinSelected 1;
    }


    Enroll Configuration {

    	HelpFile "OVW/Dialogs/H.conf.D" ;

    	Field "UTMaestroEnabled" {
    	    Label "Enable Maestro for this map:";
    	    EditPolicy Edit;
    	}

    	/*
    	    The following fields 'UTMaestroCmd_ ... represent commands that
    	    are processed for the various commands.  Note that this is
    	    user extensible and their commands can also be parsed.

    	    Some words about the translations that this goes through.
    	    The following are use:
    	    %h   -> hostname 	%H -> hostname of master cpu
    	    %c	-> cpuname
    	    %p   -> process name (or MAESTRO if not process)
    	    %D   -> DISPLAY name
    	*/    

    	Field "UTMaestroCmd_startup" {
    	    Label "Command string: startup                             ";
    	    EditPolicy Edit;
    	    DefaultValue "rsh %h %P/StartUp";
    	}
     	Field "UTMaestroCmd_startagent" {
    	    Label "Command string: startagent                          ";
    	    EditPolicy Edit;
    	    DefaultValue "rsh %h %P/bin/magent -peer 127.0.0.1 ";
    	}
   	Field "UTMaestroCmd_start" {
    	    Label "Command string: start                               ";
    	    EditPolicy Edit;
    	    DefaultValue "rsh %H %P/bin/conman 'start %c'";
    	}
    	Field "UTMaestroCmd_stop" {
    	    Label "Command string: stop                                ";
    	    EditPolicy Edit;
    	    DefaultValue "rsh %H %P/bin/conman 'stop %c'";
    	}
    	Field "UTMaestroCmd_shutdown" {
    	    Label "Command string: shutdown                            ";
    	    EditPolicy Edit;
    	    DefaultValue "rsh %h %P/bin/conman 'shutdown'";
    	}
    	Field "UTMaestroCmd_master" {
    	    Label "Command string: master                              ";
    	    EditPolicy Edit;
    	    DefaultValue "rsh %H %P/bin/xconman -display %D";
    	}
    	Field "UTMaestroCmd_conman" {
    	    Label "Command string: conman                              ";
    	    EditPolicy Edit;
    	    DefaultValue "rsh %h %P/bin/xconman -display %D";
    	}
/*
    	Field "UTMaestroCmd_log" {
    	    Label "Command string: log                                 ";
    	    EditPolicy Edit;
    	    DefaultValue "rsh %h %P/bin/xconman -display %D";
    	}
*/
    }


    Enroll Describe {
    	if isUTMaestroAgent {

            HelpFile "OVW/Dialogs/H.node.D" ;

            Field "isUTMaestroAgent" { 
    	        Label "Does a Maestro agent run on this cpu?";
                EditPolicy Edit ; 
    	    }
    	    Field "UTMaestroPolling" {
    	    	Label "Enter the number of seconds between polling";
    	    	EditPolicy Edit ;
    	    }
    	    Field "UTMaestroAgentPort" {
    	    	Label "Enter the port number to be polled, zero for default";
    	    	EditPolicy Edit ;
    	    }
    	}
    
    	if isUTMaestroCpuObject {

            HelpFile "OVW/Dialogs/H.cpu.D" ;

    	    Field "UTMaestroCpuType" { 
		Label "The type of cpu";
    	        EditPolicy NoEdit;
    	    }
    	    Field "UTMaestroCpuName" { 
		Label "The name Maestro uses for this cpu";
    	    	EditPolicy NoEdit;
    	    }
       	    Field "UTMaestroCpuIgnoreJobAbendEvents" { 
    	    	Label "Maestro should ignore JobAbend Events:";
    	    	EditPolicy Edit;
    	    }
    	    Field "UTMaestroCpuIgnoreSchedAbendEvents" { 
    	    	Label "Maestro should ignore SchedAbend Events:";
    	    	EditPolicy Edit;
    	    }
    	    Field "UTMaestroCpuIgnoreSchedStuckEvents" { 
    	    	Label "Maestro should ignore SchedStuck Events:";
    	    	EditPolicy Edit;
    	    }
       	    Field "UTMaestroCpuIgnoreJobUntilEvents" { 
    	    	Label "Maestro should ignore JobUntil Events:";
    	    	EditPolicy Edit;
    	    }
    	    Field "UTMaestroCpuIgnoreSchedUntilEvents" { 
    	    	Label "Maestro should ignore SchedUntil Events:";
    	    	EditPolicy Edit;
    	    }
    	    Field "UTMaestroCpuIgnoreLinkStatusEvents" { 
    	    	Label "Maestro should ignore Link Events:";
    	    	EditPolicy Edit;
    	    }
    	    Field "UTMaestroCpuJobAbendEvents" { 
		Label "The Maestro count of the number of JobAbend Events:";
    	        EditPolicy NoEdit;
    	    }
    	    Field "UTMaestroCpuSchedAbendEvents" { 
		Label "The Maestro count of the number of SchedAbend Events:";
    	        EditPolicy NoEdit;
    	    }
    	    Field "UTMaestroCpuSchedStuckEvents" { 
		Label "The Maestro count of the number of SchedStuck Events:";
    	        EditPolicy NoEdit;
    	    }
    	    Field "UTMaestroCpuJobUntilEvents" { 
		Label "The Maestro count of the number of JobUntil Events:";
    	        EditPolicy NoEdit;
    	    }
    	    Field "UTMaestroCpuSchedUntilEvents" { 
		Label "The Maestro count of the number of SchedUntil Events:";
    	        EditPolicy NoEdit;
    	    }
    	}
    	
    	if isUTMaestroProcObject {

            HelpFile "OVW/Dialogs/H.proc.D" ;

    	    Field "UTMaestroProcPid" { 
		Label "This is the pid of the Maestro process";
    	        EditPolicy NoEdit;
    	    }
    	}

        if isUTMaestroLinkObject {

            HelpFile "OVW/Dialogs/H.link.D" ;
 
            Field "UTMaestroLinkStatus" {
                Label "This is the state of the link to the master cpu";
                EditPolicy NoEdit;
            }
        }
    }	
}
