#!/usr/bin/perl

#######################################################################
# Tivoli Workload Scheduler warehouse Enablement Pack.
# Script for invoking Archiver end import process
# USe TWS to schedule this script
#######################################################################

#----------------------------------------------------------------------
# Installation config session. 
#----------------------------------------------------------------------
# Specify information related to TWS installation
#
# Tivoli Workload Scheduler Installation Directory
$TWS_INSTALL_DIR="E:/TWS";

# Archiver process creates some flat files that will be used from the 
# import process to put data into 
# Central data warehouse database. 
# This directory is customizable. By default is the "TEDW" under the TWS
# installation dir
$TEDW_DIR="$TWS_INSTALL_DIR/TEDW";

#---------------------------------------------------------------------
# database config session. 
#---------------------------------------------------------------------
# Specify information related to database configuration
#
# DB2 Installation dir
$DB2_DIR="C:/Program Files/SQLLIB";

# DB2 User name
$DB2USER="db2admin";

# DB2 User password
$DB2PASSWORD="db2admin";

######################################################################
#################### DO NOT MODIFY!!! ################################
######################################################################
# Program Configurable Vars
# DB2

$DB2CMD="\"$DB2_DIR/bin/db2cmd\" /w /c /i";
$DB2PROG="db2";				# DB2 interface command
$OS=$^O;

if ($OS eq "MSWin32")
{
	$DB2EXEC="$DB2CMD $DB2PROG";	# Execute db2 command if OS is Win32
}
else 
{

	$cmd=". $DB2_DIR/db2profile ; set ";
	@envlist=`$cmd`;
	foreach $line (@envlist) 
        {
   		chomp $line;

    	 	($key,$value) = split(/=/, $line);

   		$ENV{$key} = $value;

	}

	$DB2EXEC="$DB2_DIR/bin/$DB2PROG";
}
$DB2EXEC_LOG="$DB2EXEC -z \"log_sql.log\"";		# Log file
$DB2EXEC_LOG_DDL="$DB2EXEC_LOG -tvf";			# Log and run DDL

$db2exec_local="$DB2EXEC_LOG -tvxf";			# local call

$tmp_sql1="tmp_twh_tz_1.sql";
$tmp_sql2="tmp_twh_tz_2.sql";

$db_user="$DB2USER";
$db_pass="$DB2PASSWORD";

if ($ENV{TWS_TEDWDIR} ne "")
{
    $TEDW_DIR=$ENV{TWS_TEDWDIR};
}

#################################
# Set database connection string
#################################

$conn_string="connect to twh_cdw user $db_user using $db_pass;";

####################################
# Add the connection string to file
####################################

unless (open (FILEHANDLE, ">$tmp_sql1"))
{
	die "cannot create temporary file: $!\n";
}
print(FILEHANDLE "\n");
print(FILEHANDLE  "$conn_string");
print(FILEHANDLE "\n");

####################################
# Add the select string to file
####################################
$work_sql3="select EXTCTL_TO_DTTM from twg.Extract_Control where EXTCTL_TARGET = 'AWS_Stage_TWS_Archive';";
print(FILEHANDLE "$work_sql3");
close (FILEHANDLE);
####################################
# Execute select 
####################################
$blah="$db2exec_local $tmp_sql1 -r $tmp_sql2";
$selectresults=`$blah`;
$rc=$?;
if ( rc != 0 )
{
 	print "      (F) Sql script did not run.  Script is ($tmp_sql1)";
     exit 4;	
}

####################################
# Read the last row. It is the last
# execution date
####################################
@tokens=split(/\n/,$selectresults);

$lastindex=$#tokens;
if ($OS eq "MSWin32")
{
	$date=$tokens[$lastindex-1];
}
else 
{
	$date=$tokens[$lastindex];
}
 

####################################
# Invoke archiver by passing it the 
#last execution date
####################################
 $results=`$TWS_INSTALL_DIR/bin/archiver $date`;
 
$rc=$?;
if ( $rc != 0 )
{
      exit $rc;
}

##############################################
# Import data from flat files, generated by 
# archiver into staging tables in the CDW 
# database.
#############################################

unless (open (FILEHANDLE, ">$tmp_sql1"))
{
	die "cannot create temporary file: $!\n";
}
print(FILEHANDLE "\n");
print(FILEHANDLE  "$conn_string");
print(FILEHANDLE "\n");

$work_sql1="import from $TEDW_DIR/cpus of del modified by coldel; MESSAGES  message.log INSERT INTO AWS.TWS_WORKSTATION_P(name, node,workstationType,opersys,domainname, mastername, symphony_date);";
$work_sql2="import from $TEDW_DIR/jobs of del modified by coldel; MESSAGES  message.log INSERT INTO AWS.TWS_JOB_P(name, priority,login, status,planned_starttime,actual_starttime,actual_duration,cpu_time,workstationname,jobstreamname, mastername,command);";
$work_sql3="import from $TEDW_DIR/scheds of del modified by coldel; MESSAGES  message.log INSERT INTO AWS.TWS_JOBSTREAM_P(name, priority,status, planned_starttime,actual_starttime,actual_duration,cpu_time,mastername);";

print(FILEHANDLE "$work_sql1");
print(FILEHANDLE "\n");
print(FILEHANDLE "$work_sql2");
print(FILEHANDLE "\n");
print(FILEHANDLE "$work_sql3");
close (FILEHANDLE);

$blah="$db2exec_local $tmp_sql1 -r $tmp_sql2";
$results=`$blah`;

$rc="$!";

  if ( $rc=0 ) 
  {
   	print "      (I) Import command run successfully.\n";
  }
  elsif ($rc=2)
  { 
   	print "      (W) Import command run with warnings. see at message.log file for details.\n";
  } 
     else 
  {  
	print  "      (F) Import command run with errors. see at message.log file for details.\n";		
  }

exit 0;
