/* @(#) 4.03 $Header: /usr/local/SRC_CLEAR/maestro/JSS/maestro/include/RCS/xrfrec.h,v 7.53 1994/06/28 23:12:14 mcr viola_thunder $ */

/* This file contains the typedefs for the crossref extract file. */

#ifndef _XRFREC_INCLUDED
#define _XRFREC_INCLUDED

/* Constants for rectype field, stored using str_to_pac. */

#define xsched     "00"
#define xwhen      "01"
#define xdep_sched "02"
#define xdep_job   "03"
#define xjob       "04"
#define xprompt    "05"
#define xresource  "06"
#define xfile      "07"

/* Following enum is used for some options to various call-back functions. */
/* TWS 7.1 added type */
enum { EXCEPT_TYPE, ON_TYPE, ID_TYPE, TEXT_TYPE, FREEDAYS_TYPE};

typedef struct 
{
  CHAR8 when_cpu;
  CHAR8 whenname;
  char  except_id;
} xr_when_type;

typedef struct
{
  CHAR8 dep_sched_cpu;
  CHAR8 dep_sched_name;
} xr_dep_sched_type;   /* Used for both sched follows, and sched encountered */

typedef struct
{
  CHAR8 dep_job_cpu;
  CHAR8 dep_job_name;
  CHAR8 dep_sched_name;
} xr_dep_job_type;

typedef struct
{
  CHAR8 job_cpu;
  CHAR8 job_name;
} xr_job_type;

typedef struct
{
  CHAR8 prompt_cpu;
  char  prompt_id[20];
} xr_prompt_type;

typedef struct
{
  CHAR8 res_cpu;
  CHAR8 res_name;
} xr_resource_type;

typedef struct
{
  CHAR8 file_cpu;
  char  filename[256];
} xr_file_type;
/*

 This is the record layout for the extract files. The extract program creates
 8 extract files. The files created are xsched, xwhen, xdep_sched, xdep_job,
 xjob, xprompt, xresource and xfile. These files are not sorted. If you want
 to sort these files, check the xref script to see how this is done. All the 
 structures in the union xr_key are listed above. Note the xref script sorts
 the files created by the extract program and renames the files. The files are
 the same name minus the begining x. Example xsched becomes sched. Once the
 files are sorted, the xfiles are removed. 

 */
typedef struct
{
  char rectype[2];
  union {
    xr_when_type xr_when;
    xr_dep_sched_type xr_dep_sched;
    xr_dep_job_type   xr_dep_job;
    xr_job_type       xr_job;
    xr_prompt_type    xr_prompt;
    xr_resource_type  xr_resource;
    xr_file_type      xr_file;
  } xr_key;
  CHAR8 cpuid;
  CHAR8 schedule;
  CHAR8 cpujobname;
  CHAR8 jobname;
  char  resourceqty[6]; /* Only used for resources */
  char  offset_num[6];  /* Used for on and except dates */
  char  offset_unit[8]; /* Used for on and except dates */
  char  eor;  /* Null byte so that record can be written as a string */
} xr_extract_type;

#endif

#ifndef _DB_VERSION_DEFINED
#define _DB_VERSION_DEFINED
short db_version;
#endif

